Long lines don't word wrap using CodeEditor extension
Closed, ResolvedPublic


Using the new code editor is very difficult when long strings of code can't be rendered on one screen. There needs to be a word wrap capability.

Version: unspecified
Severity: enhancement

bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz53911.
Technical13 created this task.Via LegacySep 8 2013, 2:59 PM
TheDJ added a comment.EditedVia ConduitDec 31 2013, 11:23 AM

Quite easy to do with

session.setWrapLimitRange(120, 120);

It defaults to 80 columns it seems. There is also a hook to allow you to do this yourself:

Demo: https://en.wikipedia.org/w/index.php?title=User%3ATheDJ%2Fcommon.js&diff=588508535&oldid=584824999

I guess we can fight over whether or not this should be set by default.

Technical13 added a comment.Via ConduitMar 25 2014, 10:51 PM

It needs to be an option from the ui. I don't care if it is toggled by default or not.

Aklapper added a comment.Via ConduitMar 26 2014, 11:44 AM

Request for new functionality which wasn't there before => severity==enhancement

TheDJ changed the status of blocking task T61924: Add additional CodeEditor toolbar buttons from "Open" to "Stalled".Via WebMar 15 2015, 5:32 PM
TheDJ closed this task as "Resolved".Via WebJun 26 2015, 10:03 AM
TheDJ claimed this task.

With aba51ef4f54de2de69ebbea246d34447e7ab5f96, you can now use a line wrap button in the toolbar to set wrapping vs. scrolling. We could argue about if the default should be inverted or not... But we can have a separate ticket on that.

Add Comment